<!doctype html>
<html>
  <head>
    <title>SMCC: CSYES! </title>
    <meta charset='utf-8' />
    <meta name='viewport' content='width=device-width, initial-scale=1.0' />
    <meta property="og:url" content="https://solarpunk.cool/magic/computer/club/css/" />
    <meta property="og:type" content="website" />
    <meta property="og:locale" content="en_US" />
    <meta property="og:title" content="solarpunk magic computer club: CSYES!" />
    <meta property="og:description" content="Come and hang out and learn how to add yr own style to yr own personal web pages." />
    <meta property="og:image" content="https://solarpunk.cool/magic/computer/club/css/assets/CSYES.jpg" />

    <!--
    Twitter's "Cards."
    Tweet tweet, little bird, our crows will eat you.
    -->
    <meta name="twitter:card" content="summary_large_image" />
    <meta name="twitter:title" content="solarpunk magic computer club: CSYES!" />
    <meta name="twitter:description" content="Come and hang out and learn how to add yr own style to yr own personal web pages!" />
    <meta name="twitter:image" content="https://solarpunk.cool/magic/computer/club/css/assets/CSYES.jpg" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/tonsky/FiraCode@2/distr/fira_code.css">
    <link rel="stylesheet" media="screen" href="https://fontlibrary.org/face/cooper-hewitt" type="text/css"/>
    <style>
     :root {
       --primary-bg_color: #FDFDD7;
       --primary-color: #394635;
       --text-color: #808074;
       --accent-color: #FEF947;
       --accent-color_secondary: black;
       --primary-bg: url('assets/css-magic-background.png');

       --mono: 'Fira Code VF';
       --sans: 'CooperHewittLight';
       --primary-font: var(--mono);
       --primary-font_size: 24px;
       --heading-font: var(--sans);

       --section-spacing: 1.3rem;
       --interior-spacing: calc(var(--section-spacing) / 2);
     }
     html , body {
       box-sizing: border-box;
       margin: 0;
       padding: 0;
       min-height: 100%;
     }
     html {
       font-size: var(--primary-font_size);
     }

     body {
       background: var(--primary-bg);
       font-family: var(--primary-font);
       min-height: 100%;
     }
     h1, h2, h3, h4 {
       font-family: var(--heading-font);
       margin: 0;
       padding: 0;
     }

     figure {
       margin: 0;
       padding: 0;
     }
     figure img {
       max-width: 100%;
     }

     figcaption {
       margin: 0 auto var(--section-spacing) auto;
       width: 85%;
       font-size: 0.5rem;
       font-style: italic;
       background: var(--primary-color);
       color: var(--primary-bg_color);
     }
     code {
       font-style: italic;
     }

     main , figure {
       max-width: 1000px;
       margin: auto;
     }

     header {
       background: var(--primary-bg_color);
       margin: calc(var(--section-spacing) * 2) auto 0 auto;
     }

     header h1 {
       padding: var(--interior-spacing);
       color: var(--primary-color);
     }

     header , section.description {
       opacity: 0.85;
     }

     section.description {
       margin-top: 0;
       background: var(--primary-bg_color);
       color: var(--primary-color);
       padding: var(--interior-spacing);
       padding-top: 0;
     }
     @media(min-width: 667px) {
       header h1 {
         padding: var(--interior-spacing)
         calc(var(--section-spacing) * 2)
         calc(var(--interior-spacing) / 2)
         calc(var(--section-spacing) * 2);
       }
       section.description {
         padding-bottom: var(--section-spacing);
         padding-left: calc(var(--section-spacing) * 2);
         padding-right: calc(var(--section-spacing) * 2);
       }
     }

     section.description p {
       margin: 0;
       margin-bottom: 1.3em;
       color: var(--text-color);
       font-weight: 200;
     }
     section.description p:last-child {
       margin-bottom: 0;
       }
     section.details {
       background: var(--accent-color_secondary);
       color: var(--primary-bg_color);
       margin: var(--section-spacing);
       padding: var(--interior-spacing);
       opacity: 0.9;
     }
     @media(min-width: 667px) {
       section.details {
         width: 60%;
         margin-left: auto;
         margin-right: auto;
       }
     }

     section.details h2 {
       font-size: 1rem;
     }

     section.details p {
       font-size: 1.4rem;
       text-align: center;
     }
     section.details p.location {
       font-size: 1.2rem;
     }

     section.details a.url  {
       font-size: 0.9rem;
       color: var(--accent-color);
     }
     footer {
       display: flex;
       justify-content: center;
       padding: var(--interior-spacing);
       padding-top: 0;
     }
     @media(min-width: 667px) {
       footer {
         justify-content: flex-end;
       }
     }
     
     a.download {
       background: var(--accent-color);
       color: var(--accent-color_secondary);
     }

    </style>
  </head>
  <body>
      <figure>
        <img src="./assets/CSYES.jpg" alt="poster for event" />
        <figcaption>Diagram of a human and their internal processes.  The human ingests CSS, it turns to magic in the belly, and it comes out in the electric bolts of a webpage</figcaption>
      </figure>
      <main class="h-event vevent">
        <header>
          <h1 class="p-summary summary p-name">Solarpunk Magic Computer Club: CSYES!</h1>
        </header>
        <article>
          <section class="p-description description"><p>You got yrself a personal page, but it's lacking yr personal style?  Well then, this is the club for you!  We'll learn about how to define one's aesthetic <code>in code</code>, how to become better friends with your web browser, and how to call upon the tremendous powers it modestly holds.</p>
            <p>Using nothing but tools already installed on your computer, we will demystify and remystify the web, and take authorship of our world.</p>
          </section>
          <section class='details'>
            <h2>Details</h2>
            <p>
              <abbr class='dt-start dtstart' title="2020-04-05T11:00:00+12:00">
                11:00
              </abbr>
              to
              <abbr class='dt-end dtend' title="2020-04-05T13:00:00+12:00">
                13:00
              </abbr>
            </p>
            <p>
              Sunday, 5th April
            </p>
            <p class='location p-location'>Join at <a class='url u-url' href='https://tv.solarpunk.cool/b/zac-fuv-znx' title="invite link for online class">tv.solarpunk.cool/b/zac-fuv-znx</a></p>
          </section>
        </article>
      </main>
      <footer>
        <a class='download'
          type="text/calendar"
          href="http://h2vx.com/ics/https%3A//solarpunk.cool/magic/computer/club/css"
          title="downloads an .ics file for this event">
          Download to your calendar
        </a>
      </footer>
  </body>
</html>
